Subject: Re: linux-next: manual merge of the tip tree with the block tree

From: Jens Axboe <[email-masked]>
Date: Wed, 1 Nov 2017 08:25:00 -0600

On 11/01/2017 12:10 AM, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the tip tree got a conflict in:
> 
>   drivers/block/amiflop.c
> 
> between commit:
> 
>   f37ecbfc238b ("amifloppy: Convert timers to use timer_setup()")
> 
> from the block tree and commit:
> 
>   3c557df67257 ("timer: Remove meaningless .data/.function assignments")
> 
> from the tip tree.
> 
> I fixed it up (I just used the former version of the motor_on_callback
> definition) and can carry the fix as necessary. This is now fixed as
> far as linux-next is concerned, but any non trivial conflicts should be
> mentioned to your upstream maintainer when your tree is submitted for
> merging.  You may also want to consider cooperating with the maintainer
> of the conflicting tree to minimise any particularly complex conflicts.

Kees, why are we in this situation? Making similar timer fixups in the
same driver and submitting it through two different trees is a mess.

-- 
Jens Axboe